//---------------------------------------------------------------
// longrun.h
//
// Longrun driver for Transmeta Crusoe.
//
// Based on FreeBSD driver by: Tamaotsu Hattori
// BeOS Driver by: Anders Granlund.
//---------------------------------------------------------------

/*
 * Copyright (c) 2001 Tamotsu Hattori.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#ifndef	_LONGRUN_H_
#define	_LONGRUN_H_
#include <drivers/Drivers.h>

//------------------------------------------------------
// Longrun device information
//------------------------------------------------------
#define	LONGRUN_DEVICE_PATH	"/dev/misc/longrun"

//------------------------------------------------------
// Longrun controls
//------------------------------------------------------
enum
{
	LONGRUN_CTL_SETMODE = B_DEVICE_OP_CODES_END + 1,
	LONGRUN_CTL_GETMODE,
	LONGRUN_CTL_GETSTATUS,
	
	LONGRUN_CONTROL_MAX,
};

//------------------------------------------------------
// Longrun modes
//------------------------------------------------------
enum
{
	LONGRUN_MODE_MINFREQUENCY = 0,
	LONGRUN_MODE_ECONOMY,
	LONGRUN_MODE_PERFORMANCE,
	LONGRUN_MODE_MAXFREQUENCY,

	LONGRUN_MODE_MAX,
};

#endif // _LONGRUN_H_
